## Warning

The software is in active development, and was not audited. Use at your own risk.

# PIPEIQ Framework

A decentralized agent protocol to connect AI tools across Web2 and Web3—models, MCP servers, decentralized compute, and more.

[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](LICENSE)
[![Solana](https://img.shields.io/badge/built%20on-Solana-orange)](https://solana.com/)

---

## Overview
PIPEIQ is an open-source framework that enables developers to seamlessly connect and orchestrate AI tools across the Web2 and Web3 ecosystems. It abstracts away the complexities of identity, messaging, and orchestration by providing standardized primitives for agent coordination, tool invocation, and cross-network integration.

With native support for models, MCP servers, decentralized compute providers, and on-chain identity frameworks, PIPEIQ aims to serve as a universal protocol layer for the AI economy—supporting autonomous, composable, and verifiable AI agents.

---

## 📦 Installation

You can install `pipeiq` directly from PyPI:

```bash
pip install pipeiq
```

## Key Features

1. Integration with Phantom Wallet 
2. Integration with Prime Intellect for Decentralized Compute
3. Integration with Worldcoin for proof-of-personhood authentication
4. Integration for Know Your Customer (KYC) operation with Persona

---

## 🚀 Usage

We currently support a way to connect to decentralized resources. Usage examples can be found in the [`examples/`](./examples) folder.

---

## Contributing
We welcome contributions from framework developers, cryptographers, and AI researchers. To get started:

1. Fork this repository
2. Open a Pull Request (PR) with clear description

---

## License
MIT License. See [LICENSE](LICENSE) for details.

---

## Links
- 🔗 [Whitepaper](https://pipeiq.ai/whitepaper)
- 🌐 [Website](https://pipeiq.ai)
- ✉️ Join our community: `discord.gg/pipeiq`
- X.com/pipeiqai

---

*PIPEIQ is building the decentralized substrate for AI. Join us.*
